Skip to content

GET Data Dictionary.

GET
/api/data-intelligence/namespaces/system/datadictionary/{dataset}
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data-intelligence/namespaces/system/datadictionary/example \
--header 'Authorization: <Authorization>'

GET the dataset features from Data dictionary API.

Examples of this operation.

dataset
required
string

Dataset identifier to request the dataset features.

A successful response.

Media typeapplication/json
GetDataDictionaryResponse

Dataset feature fetched by data dictionary API.

object
feature_list
Feature list

List of features for requested dataset.

Array<object>
Feature

Definition of feature which is unit of dataset.

object
data_format
Data format

Data or content configuration

string
<= 1024 characters
description
Description x-displayName: "Description" Detailed description of the feature

Detailed description of the feature.

string
>= 21 characters <= 1024 characters
feature_name
feature name

Name of the feature.

string
<= 1024 characters
is_new_field
IsNewField

Information to suggest if this is existing or new feature in dataset.

boolean format: boolean
notes
Notes

Additional notes about the dataset feature.

string
<= 1024 characters
required
Required

Is the feature mandatory or optional.

boolean format: boolean
Examplegenerated
{
"feature_list": [
{
"data_format": "example",
"description": "example",
"feature_name": "example",
"is_new_field": true,
"notes": "example",
"required": true
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example